Query Miner Metrics
curl --request POST \
--url https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_time": "2026-08-14T00:00:00.000Z",
"to_time": "2026-08-15T00:00:00.000Z",
"granularity": "hour"
}
'import requests
url = "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query"
payload = {
"from_time": "2026-08-14T00:00:00.000Z",
"to_time": "2026-08-15T00:00:00.000Z",
"granularity": "hour"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_time: '2026-08-14T00:00:00.000Z',
to_time: '2026-08-15T00:00:00.000Z',
granularity: 'hour'
})
};
fetch('https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from_time' => '2026-08-14T00:00:00.000Z',
'to_time' => '2026-08-15T00:00:00.000Z',
'granularity' => 'hour'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query"
payload := strings.NewReader("{\n \"from_time\": \"2026-08-14T00:00:00.000Z\",\n \"to_time\": \"2026-08-15T00:00:00.000Z\",\n \"granularity\": \"hour\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from_time\": \"2026-08-14T00:00:00.000Z\",\n \"to_time\": \"2026-08-15T00:00:00.000Z\",\n \"granularity\": \"hour\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from_time\": \"2026-08-14T00:00:00.000Z\",\n \"to_time\": \"2026-08-15T00:00:00.000Z\",\n \"granularity\": \"hour\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"miner_id": "<string>",
"from_time": "2023-11-07T05:31:56Z",
"to_time": "2023-11-07T05:31:56Z",
"granularity": "10min",
"snapshots": [
{
"period": "2023-11-07T05:31:56Z",
"hashrate": 123,
"wattage": 123,
"temp": 123,
"uptime": 123,
"uptime_ratio": 123,
"mining_mode": "<string>",
"anomaly_flags": 0
}
]
},
"error": null
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed"
}
}{
"success": false,
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing credential"
}
}{
"success": false,
"data": null,
"error": {
"code": "FORBIDDEN",
"message": "Access denied"
}
}{
"success": false,
"data": null,
"error": {
"code": "MINER_NOT_FOUND",
"message": "Miner not found"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
}Miners
Query Miner Metrics
Query time-bucketed performance metrics for a single miner.
POST
/
public-api
/
v2
/
workspaces
/
{workspace_id}
/
farms
/
{farm_id}
/
miners
/
{miner_id}
/
metrics
/
query
Query Miner Metrics
curl --request POST \
--url https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_time": "2026-08-14T00:00:00.000Z",
"to_time": "2026-08-15T00:00:00.000Z",
"granularity": "hour"
}
'import requests
url = "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query"
payload = {
"from_time": "2026-08-14T00:00:00.000Z",
"to_time": "2026-08-15T00:00:00.000Z",
"granularity": "hour"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_time: '2026-08-14T00:00:00.000Z',
to_time: '2026-08-15T00:00:00.000Z',
granularity: 'hour'
})
};
fetch('https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'from_time' => '2026-08-14T00:00:00.000Z',
'to_time' => '2026-08-15T00:00:00.000Z',
'granularity' => 'hour'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query"
payload := strings.NewReader("{\n \"from_time\": \"2026-08-14T00:00:00.000Z\",\n \"to_time\": \"2026-08-15T00:00:00.000Z\",\n \"granularity\": \"hour\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"from_time\": \"2026-08-14T00:00:00.000Z\",\n \"to_time\": \"2026-08-15T00:00:00.000Z\",\n \"granularity\": \"hour\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nonce.app/public-api/v2/workspaces/{workspace_id}/farms/{farm_id}/miners/{miner_id}/metrics/query")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"from_time\": \"2026-08-14T00:00:00.000Z\",\n \"to_time\": \"2026-08-15T00:00:00.000Z\",\n \"granularity\": \"hour\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"miner_id": "<string>",
"from_time": "2023-11-07T05:31:56Z",
"to_time": "2023-11-07T05:31:56Z",
"granularity": "10min",
"snapshots": [
{
"period": "2023-11-07T05:31:56Z",
"hashrate": 123,
"wattage": 123,
"temp": 123,
"uptime": 123,
"uptime_ratio": 123,
"mining_mode": "<string>",
"anomaly_flags": 0
}
]
},
"error": null
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation failed"
}
}{
"success": false,
"data": null,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing credential"
}
}{
"success": false,
"data": null,
"error": {
"code": "FORBIDDEN",
"message": "Access denied"
}
}{
"success": false,
"data": null,
"error": {
"code": "MINER_NOT_FOUND",
"message": "Miner not found"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}
}Authorizations
oauth-jwtclerk-api-key
Clerk OAuth JWT access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Minimum string length:
1Body
application/json
Inclusive start of the query range in ISO 8601 format
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-08-14T00:00:00.000Z"
Exclusive end of the query range in ISO 8601 format
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-08-15T00:00:00.000Z"
Time resolution of the returned metric snapshots. Range limits: 1 day for 10min, 7 days for hour, 90 days for day, 365 days for week. All buckets in the range are always present; buckets without data contain null metric values.
Available options:
10min, hour, day, week Example:
"hour"